.video-grid {
  display: grid;
  grid-auto-rows: 129px;
}

.video {
  cursor: pointer;
  border-radius: 20px;
  padding: 8px 0px;
  display: grid;
  overflow: hidden;
  justify-content: center;
  align-items: start;
  height: 129px;
  min-width: 599px;
  grid-template-columns: 36px 210px 1fr 40px;
  grid-auto-rows: 1fr;
  grid-template-areas:
    "box-6 box-7 box-8 box-9";
}

.vid-thumbnail {
  width: 200px;
  height: 113px;
  object-fit: cover;
  border-radius: 8px;
}

.vid-title {
  color: white;
  font-size: 16px;
  font-weight: 500;
  height: 22px;
  margin-bottom: 8px;
}

.vid-info1 {
  place-self: center;
}

.vid-info2 {
  position: relative;
}

.vid-time {
  position: absolute;
  right: 0;
  bottom: 0;
  transform: translate(-14px, -8px);
}

.vid-time::before {
  position: absolute;
  overflow: hidden;
  content: "";
  backdrop-filter: blur(5px);
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: -1;
  background-color: rgba(0, 0, 0, 0.33);
  border-radius: 20px;
}

.vid-time2 {
  color: white;
  font-weight: 500;
  padding: 2px 6px;
}

.style-scope {
  background-color: rgba(15, 15, 15);
  width: 24px;
  height: 24px;
  display: block;
  color: white;
}

.yt-icon-button {
  position: relative;
  right: 6px;
}